View Issue Details

IDProjectCategoryView StatusLast Update
0000938DCP-o-matic[All Projects] Featurespublic2020-02-13 23:29
Reportercarl Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000938: Support SSA alignment codes in SRT parser
Description

[]

Tagssubtitles
Estimated weeks required
Estimated work requiredUndecided

Activities

carl

2016-08-26 11:06

administrator   ~0001403

This is fiddly as the srt decoder defaults to TOP_OF_SUBTITLE for alignment. If you have a subtitle with a TOP_OF_SUBTITLE part and (say) a TOP_OF_SCREEN part DoM will assume it has to place it and take over. TOP_OF_SUBTITLE no longer makes any sense then really. Perhaps the parser should specify positioning.

carl

2020-02-13 23:28

administrator   ~0003726

Fixed around 013f6aab443f5b7857871b6f0b6b41f7562bc870 in libsub and 0b7bcab036222564c86fda50c4a5732dc082e0de in v2.15.x.

Issue History

Date Modified Username Field Change
2016-08-22 20:35 carl New Issue
2016-08-26 11:06 carl Note Added: 0001403
2016-10-28 09:05 carl Target Version 2.10.0 => 2.11.0
2017-04-21 09:51 carl Target Version 2.11.0 =>
2019-11-15 17:01 carl Status new => acknowledged
2019-11-15 17:01 carl Estimated work required Average => Undecided
2019-11-15 17:02 carl Tag Attached: subtitles
2020-02-13 16:38 carl Tag Attached: next
2020-02-13 23:28 carl Assigned To => carl
2020-02-13 23:28 carl Status acknowledged => resolved
2020-02-13 23:28 carl Resolution open => fixed
2020-02-13 23:28 carl Note Added: 0003726
2020-02-13 23:29 carl Tag Detached: next